### Function

# GLib StringChunk new

#### Declaration

    GStringChunk*
    g_string_chunk_new (
      gsize size
    )

#### Description

Creates a new `GStringChunk`.

This function is not directly available to language bindings.

#### Parameters

`size`

  Type: `gsize`

  The default size of the blocks of memory which are allocated to store the strings. If a particular string is larger than this default size, a larger block of memory will be allocated for it.

#### Return value

Type: `GStringChunk`

A new `GStringChunk`.

The caller of the function takes ownership of the data, and is responsible for freeing it.